> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Price Books

> Retrieves a list of all price books



## OpenAPI

````yaml swagger.json get /pricebooks
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /pricebooks:
    get:
      summary: List Price Books
      description: Retrieves a list of all price books
      parameters:
        - name: onlyEffective
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
          description: >-
            When set to 'true', only returns price books that are currently
            effective based on their effective date range.
      responses:
        '200':
          description: Successfully retrieved price books
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PriceBook'
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PriceBook:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        bundleOptionId:
          type: string
          nullable: true
        isDeleted:
          type: boolean
        effectiveStartDate:
          type: string
          nullable: true
          description: >-
            ISO date string (e.g. "2025-01-01"). Requires
            PRICE_BOOK_EFFECTIVE_DATES feature.
        effectiveEndDate:
          type: string
          nullable: true
          description: >-
            ISO date string (e.g. "2025-12-31"). Requires
            PRICE_BOOK_EFFECTIVE_DATES feature.
      required:
        - id
        - accountId
        - name
        - description
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````